- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

GSmtp::NewFile Member List

This is the complete list of members for GSmtp::NewFile, including all inherited members.

addText(const std::string &line) | GSmtp::NewFile | virtual
addTo(const std::string &to, bool local) | GSmtp::NewFile | virtual
commit() | GSmtp::NewFile | virtual
contentPath() const | GSmtp::NewFile |
id() const | GSmtp::NewFile | virtual
NewFile(const std::string &from, FileStore &store, unsigned long max_size=0UL) | GSmtp::NewFile |
prepare(const std::string &auth_id, const std::string &peer_socket_address, const std::string &peer_socket_name, const std::string &peer_certificate) | GSmtp::NewFile | virtual
~NewFile() | GSmtp::NewFile | virtual
~NewMessage() | GSmtp::NewMessage | virtual